Google’dan Eski Tarayıcılara Geçit Yok

Google, artık modası geçen tarayıcıları çöpe atmak konusunda oldukça ciddi. Bundan sonra Google ürünlerinde Internet Explorer, Firefox, Chrome ve Safari internet tarayıcılarının sadece güncel ve bir önceki sürümleri desteklenecek. Yeni tarayıcı sürümleri çıktıkça firmanın desteklediği tarayıcılar arasında bir önceki sürüm çıkarılacak.

Internet Tarayıcıları

1 Ağustos 2011’den itibaren Google, Internet Explorer 7, Firefox 3.5 ve Safari 3’e olan desteğini sonlandıracak. Bu eski sürüm tarayıcıları kullanmaya devam ettiğinizde Gmail, Google Calander, Google Talk, Google Docs ve Google Sites gibi hizmetleri kullanırken sorun yaşanabilecek. Hatta ilerleyen süreçte bu hizmeter eski tarayıcılarda tamamen çalışmaz hale gelebilecek.

Google, yaptığı açıklamada mümkünse tercih ettiğiniz tarayıcının en son sürümünü kullanmanızı öneriyor. Firmanın son sürümlerinin kullanılmasını önerdiği dört tarayıcı arasında (Chrome, Firefox, Internet Explorer ve Safari) Opera’nın olmamasıysa dikkat çekici.

Web uygulamalarını bir sonraki aşamaya taşıyabilmek için geliştiricilerimizin en yeni tarayıcılardaki özellikleri kullanabiliyor olmaları gerekli. Örneğin Gmail’de bulunan masaüstü uyarı ya da Google Docs’ta yer alan sürükle bırak gibi özellikleri kullanmak için gelişmiş tarayıcılarda bulunan HTML5 desteği gerekiyor. Eski tarayıcılarda kullanım tecrübesini geliştirecek özellikler ne yazık ki bulunmuyor. İnternetin kullanım alanı genişledikçe bu yeni tarayıcılar sadece bir seçenek olmaktan çıkıp artık bir zorunluluk haline geliyor.

Google’ın geçmişinde de eski tarayıcılara karşı verdiği savaşın örneklerini görmek mümkün. Örneğin Ocak 2009’da firma Gmail kullanıcılarına IE6 yerine Firefox ya da Chrome kullanmalarını önermişti. Temmuz 2009’da YouTube, IE6 kullanıcılarına yakında tarayıcıya olan desteğin kaldırılacağı yönünde uyarı çıkarır olmuştu. Ocak 2010’da ise Google IE6 desteğini tamamen kaldırmıştı. Ancak bu sefer geçmişten farklı olarak Google, sadece Internet Explorer’ın eski sürümlerine değil Firefox ve Safari’nin eski sürümlerini de hedef alıyor.

4 Yorum

Bir cevap yazın